.\"	$NetBSD: spi.4,v 1.3 2006/10/13 21:17:57 wiz Exp $
.\"
.\" Copyright (c) 2006 Urbana-Champaign Independent Media Center.
.\" Copyright (c) 2006 Garrett D'Amore.
.\" All rights reserved.
.\"
.\" Portions of this code were written by Garrett D'Amore for the
.\" Champaign-Urbana Community Wireless Network Project.
.\"
.\" Redistribution and use in source and binary forms, with or
.\" without modification, are permitted provided that the following
.\" conditions are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above
.\"    copyright notice, this list of conditions and the following
.\"    disclaimer in the documentation and/or other materials provided
.\"    with the distribution.
.\" 3. All advertising materials mentioning features or use of this
.\"    software must display the following acknowledgements:
.\"      This product includes software developed by the Urbana-Champaign
.\"      Independent Media Center.
.\"	This product includes software developed by Garrett D'Amore.
.\" 4. Urbana-Champaign Independent Media Center's name and Garrett
.\"    D'Amore's name may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE URBANA-CHAMPAIGN INDEPENDENT
.\" MEDIA CENTER AND GARRETT D'AMORE ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE URBANA-CHAMPAIGN INDEPENDENT
.\" MEDIA CENTER OR GARRETT D'AMORE BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
.\" CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
.\" STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
.\" ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 9, 2006
.Dt SPI 4
.Os
.Sh NAME
.Nm spi
.Nd introduction to machine-independent SPI bus support and drivers
.Sh SYNOPSIS
.Cd "spi* at mainbus?"
.Pp
Other attachments are machine-dependent and will depend on the bus topology
of your system.
See
.Xr intro 4
for your system for more information.
.Sh DESCRIPTION
.Nx
includes a machine dependent
.Tn SPI
(Serial Peripheral Interface) bus subsystem, and several different
machine-independent
.Tn SPI
device drivers.
.Pp
Your system may support additional machine-dependent SPI devices.
Consult your system's
.Xr intro 4
for additional information.
.Pp
.Tn SPI
is a 4-wire synchronous full-duplex serial bus.
Some systems provide support for
.Tn Microwire ,
which is
.Tn Philips'
name for a strict subset of SPI, with more rigidly defined signaling.
Therefore,
.Tn Microwire
devices are also supported by the
.Tn SPI
framework.
.Pp
Note that when referencing
.Tn SPI
devices in a
.Xr config 1
file, the
.Sq slave
must be provided, as
.Tn SPI
lacks any way to automatically probe devices.
.Sh HARDWARE
.Nx
includes the following machine-independent
.Tn SPI
drivers
.Bl -tag -width pcdisplay -offset indent
.It m25p
STMicroelectronics M25P family of NOR flash devices.
.It tm121temp
Texas Instruments TMP121 temperature sensor.
.El
.Sh SEE ALSO
.Xr m25p 4 ,
.Xr tm121temp 4
.Sh HISTORY
The machine-independent
.Tn SPI
framework was written by
.An Garrett D'Amore
for the
Champaign-Urbana Community Wireless Network Project (CUWiN), and
appeared in
.Nx 4.0 .
